Inspect one Workflow artifact snapshot
curl --request GET \
--url https://api.openworklabs.com/v1/workflows/{configObjectId}/snapshots/{receiptId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.openworklabs.com/v1/workflows/{configObjectId}/snapshots/{receiptId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.openworklabs.com/v1/workflows/{configObjectId}/snapshots/{receiptId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"receiptId": "<string>",
"pluginId": "<string>",
"configObjectId": "<string>",
"configObjectVersionId": "<string>",
"automationRunId": "<string>",
"value": null,
"markdown": "<string>",
"codeDigest": "<string>",
"resultDigest": "<string>",
"inputSchemaDigest": "<string>",
"outputSchemaDigest": "<string>",
"rendererVersion": "codemode-markdown-v1",
"toolCalls": [
{
"name": "<string>"
}
],
"status": "succeeded",
"errorKind": "<string>",
"errorMessage": "<string>",
"source": "manual",
"startedAt": "2023-11-07T05:31:56Z",
"finishedAt": "2023-11-07T05:31:56Z",
"contentDeletedAt": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"message": "<string>"
}Workflows
Inspect one Workflow artifact snapshot
Returns one run receipt of a saved version of this Workflow: the validated result value, its Markdown rendering, code and schema digests, tool calls, status, error details, and whether it was produced by an Automation. value and markdown are null once the content has been deleted. Requires read access to the Workflow; receiptId must belong to this Workflow.
GET
/
v1
/
workflows
/
{configObjectId}
/
snapshots
/
{receiptId}
Inspect one Workflow artifact snapshot
Authorizations
bearerAuthdenApiKey
Session token passed as Authorization: Bearer <session-token> for user-authenticated Den routes.
Response
Artifact snapshot returned.
Required string length:
1 - 160Required string length:
1 - 160Required string length:
1 - 160Required string length:
1 - 160Required string length:
1 - 160Pattern:
^sha256:[a-f0-9]{64}$Pattern:
^sha256:[a-f0-9]{64}$Pattern:
^sha256:[a-f0-9]{64}$Pattern:
^sha256:[a-f0-9]{64}$Allowed value:
"codemode-markdown-v1"Show child attributes
Show child attributes
Available options:
succeeded, failed Available options:
manual, scheduled Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Was this page helpful?